Skip to main content
GET
/
data-sources
/
{dataSourceId}
/
information-schema
cURL
curl https://api.growthbook.io/api/v1/data-sources/ds_123abc/information-schema \
  -u secret_abc123DEF456:
{
  "informationSchema": {
    "id": "<string>",
    "datasourceId": "<string>",
    "status": "PENDING",
    "databases": [
      {
        "databaseName": "<string>",
        "dateCreated": "2023-11-07T05:31:56Z",
        "dateUpdated": "2023-11-07T05:31:56Z",
        "schemas": [
          {
            "schemaName": "<string>",
            "dateCreated": "2023-11-07T05:31:56Z",
            "dateUpdated": "2023-11-07T05:31:56Z",
            "tables": [
              {
                "tableName": "<string>",
                "id": "<string>",
                "numOfColumns": 123,
                "dateCreated": "2023-11-07T05:31:56Z",
                "dateUpdated": "2023-11-07T05:31:56Z",
                "path": "<string>"
              }
            ],
            "path": "<string>"
          }
        ],
        "path": "<string>"
      }
    ],
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "error": {
      "errorType": "generic",
      "message": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
  -H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

dataSourceId
string
required

The id of the data source

Response

200 - application/json

Success

informationSchema
object
required